//+------------------------------------------------------------------+
//|                                                      sl tp 0.mq5 |
//|                        Copyright 2019, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2019, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
//---
#include <Trade\Trade.mqh>
#include <Trade\PositionInfo.mqh>
//---
CTrade        ExtTrade;    // trading object
CPositionInfo Extposition; // trade position object
//---
input double              InpStopLoss0           = 3;                // Stop Loss
input double              InpTakeProfit0         = 4;                // Take Profit

double   prPos,n=10.0;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---
   
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
   
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---
      if(PositionSelect(Symbol()))
        {
         prPos=(PositionGetDouble(POSITION_PROFIT)/PositionGetDouble(POSITION_VOLUME)/SymbolInfoDouble(Symbol(),SYMBOL_TRADE_TICK_VALUE))/n;
        }
   else
     {
      prPos=0;
     }
   if(prPos<-InpStopLoss0 || prPos>InpTakeProfit0)
     {
      if(TerminalInfoInteger(TERMINAL_TRADE_ALLOWED) && Bars(_Symbol,_Period)>100)
         ExtTrade.PositionClose(Extposition.Ticket());
     }
  }
//+------------------------------------------------------------------+
